////////////////////////////////////////////////////////////////////////////////////////
//
// Socket
// Copyright (C) 2000  Thierry Tremblay
//
// http://frogengine.net-connect.net/
//
////////////////////////////////////////////////////////////////////////////////////////

#ifndef TT_POP3_H
#define TT_POP3_H

#include "socket.h"
#include "internet.h"



////////////////////////////////////////////////////////////////////////////////////////
//
// POP3Protocol
//
// Reference: RFC 1725
//
////////////////////////////////////////////////////////////////////////////////////////

class POP3Protocol
{
public:
   POP3Protocol();
   ~POP3Protocol();

   // Connects to a POP3 server
   bool  Open( const char* szHost, int port = 110 );
         
   // Closes the connection
   bool  Close();
   
   // Returns if last command succeeded or failed
   bool  LastCommandOK();

   // Login
   bool  Login( const char* szUser, const char* szPassword );

   // Quit
   bool  Quit();

   // Get the number of messages available and their total size
   bool  GetNbMessages( int* pNbMessage, int* pTotalSize );


private:

   char              m_buffer[1024];
   Socket            m_socket;
   std::iostream&    m_stream;
};



#endif
